<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="EditMfsPollModule.ascx.cs" Inherits="Mindfire.Modules.MfsPollModule.EditMfsPollModule" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>
    
<link href="DesktopModules/MfsPollModule/css/Style.css" rel="stylesheet" type="text/css" />

<style type="text/css">
.link
{
    border:0;
    font-size:70%;
    font-weight:bold;
}
.header
{
    border:0;
    font-size:80%;
    font-weight:bold;    
}
.td
{
    height:35px;
    border:0;
    font-size:80%;
    font-weight:bold;
    text-align:left;
}
</style>

<script type="text/javascript">
function showCaptcha(cbCaptcha)
{
    if (cbCaptcha.checked)
    {
        document.getElementById('<%=trCaptchaType.ClientID %>').style.display = '';
    } 
    else
    {
        document.getElementById('<%=trCaptchaType.ClientID %>').style.display = 'none';    
    }
}
function trim(str, chars) 
{
	return ltrim(rtrim(str, chars), chars);
}
 
function ltrim(str, chars) 
{
	chars = chars || "\\s";
	return str.replace(new RegExp("^[" + chars + "]+", "g"), "");
}
 
function rtrim(str, chars) 
{
	chars = chars || "\\s";
	return str.replace(new RegExp("[" + chars + "]+$", "g"), "");
}

// Declaring valid date character, minimum year and maximum year
var dtCh = "/";
var minYear = 1900;
var maxYear = 2100;
var alertMsg = "";

function isInteger(s)
{
    var i;
    for (i = 0; i < s.length; i++)
    {
        // Check that current character is number.
        var c = s.charAt(i);
        if (((c < "0") || (c > "9")))
            return false;
    }
    // All characters are numbers.
    return true;
}

function stripCharsInBag(s, bag)
{
    var i;
    var returnString = "";
    // Search through string's characters one by one.
    // If character is not in bag, append to returnString.
    for (i = 0; i < s.length; i++)
    {
        var c = s.charAt(i);
        if (bag.indexOf(c) == -1)
            returnString += c;
    }
    return returnString;
}

//To validate an input is a date or not sub function for february
function daysInFebruary(year)
{
    // February has 29 days in any year evenly divisible by four,
    // EXCEPT for centurial years which are not also divisible by 400.
    return (((year % 4 == 0) && ((!(year % 100 == 0)) || (year % 400 == 0))) ? 29 : 28);
}

//To validate an input is a date or not sub function
function DaysArray(n)
{
    for (var i = 1; i <= n; i++)
    {
        this[i] = 31;
        if (i == 4 || i == 6 || i == 9 || i == 11)
        {
            this[i] = 30;
        }
        if (i == 2)
        {
            this[i] = 29;
        }
    }
    return this;
}
//To validate an input is a date or not

function isDate(dtStr)
{
    var daysInMonth = DaysArray(12);
    var pos1 = dtStr.indexOf(dtCh);
    var pos2 = dtStr.indexOf(dtCh, pos1 + 1);
    var strMonth = dtStr.substring(0, pos1);
    var strDay = dtStr.substring(pos1 + 1, pos2);
    var strYear = dtStr.substring(pos2 + 1);
    strYr = strYear;
    if (strDay.charAt(0) == "0" && strDay.length > 1)
        strDay = strDay.substring(1);
    if (strMonth.charAt(0) == "0" && strMonth.length > 1)
        strMonth = strMonth.substring(1);
    for (var i = 1; i <= 3; i++)
    {
        if (strYr.charAt(0) == "0" && strYr.length > 1)
            strYr = strYr.substring(1);
    }
    month = Number(strMonth);
    day = Number(strDay);
    year = Number(strYr);
    if (pos1 == -1 || pos2 == -1)
    {
        //alert("The date format should be : mm/dd/yyyy");
        return false;
    }
    if (strMonth.length < 1 || month < 1 || month > 12)
    {
        //alert("Please enter a valid month");
        return false;
    }
    if (strDay.length < 1 || day < 1 || day > 31 || (month == 2 && day > daysInFebruary(year)) || day > daysInMonth[month])
    {
        //alert("Please enter a valid day");
        return false;
    }
    if (strYear.length != 4 || year == 0 || year < minYear || year > maxYear)
    {
        //alert("Please enter a valid 4 digit year between "+minYear+" and "+maxYear);
        return false;
    }
    if (dtStr.indexOf(dtCh, pos2 + 1) != -1 || isInteger(stripCharsInBag(dtStr, dtCh)) == false)
    {
        //alert("Please enter a valid date");
        return false;
    }
    return true;
}

function chkAddAnswer()
{
    if (trim(document.getElementById('<%= tbAnswer.ClientID %>').value, '') == "")
    {
        alert("Please enter your option");
        document.getElementById('<%= tbAnswer.ClientID %>').value = "";
        document.getElementById('<%= tbAnswer.ClientID %>').focus();
        return false;
    }
    return true;
}

function chkPoll()
{
    if (trim(document.getElementById('<%= tbPollTitle.ClientID %>').value, '') == "")
    {
        alert("Please enter poll title");
        document.getElementById('<%= tbPollTitle.ClientID %>').value = "";
        document.getElementById('<%= tbPollTitle.ClientID %>').focus();
        return false;
    }

    if (trim(document.getElementById('<%= tbStartDate.ClientID %>').value, '') == "")
    {
        alert("Please enter poll start date");
        document.getElementById('<%= tbStartDate.ClientID %>').value = "";
        document.getElementById('<%= tbStartDate.ClientID %>').focus();
        return false;
    }

    if (!isDate(trim(document.getElementById('<%= tbStartDate.ClientID %>').value, '')))
    {
        alert("Please enter a valid start date");
        document.getElementById('<%= tbStartDate.ClientID %>').value = "";
        document.getElementById('<%= tbStartDate.ClientID %>').focus();
        return false;
    }

    if (trim(document.getElementById('<%= tbEndDate.ClientID %>').value, '') == "")
    {
        alert("Please enter poll end date");
        document.getElementById('<%= tbEndDate.ClientID %>').value = "";
        document.getElementById('<%= tbEndDate.ClientID %>').focus();
        return false;
    }

    if (!isDate(trim(document.getElementById('<%= tbEndDate.ClientID %>').value, '')))
    {
        alert("Please enter a valid end date");
        document.getElementById('<%= tbEndDate.ClientID %>').value = "";
        document.getElementById('<%= tbEndDate.ClientID %>').focus();
        return false;
    }

    var FromDate = new Date(trim(document.getElementById('<%= tbStartDate.ClientID %>').value, ''));
    var ToDate = new Date(trim(document.getElementById('<%= tbEndDate.ClientID %>').value, ''));
    if (+FromDate >= +ToDate)
    {
        alert("end date must be greater than start date!");
        document.getElementById('<%= tbEndDate.ClientID %>').focus();
        return false;
    }

    if (trim(document.getElementById('<%= tbQuestion.ClientID %>').value, '') == "")
    {
        alert("Please enter poll question");
        document.getElementById('<%= tbQuestion.ClientID %>').value = "";
        document.getElementById('<%= tbQuestion.ClientID %>').focus();
        return false;
    }
    return true;
}

function chkAnswer()
{    
    if (document.getElementById('<%= gvAnsList.ClientID %>') == null)
    {
        alert("Please enter atleast one option");
        return false;
    }
    return true;
}

var cndPoll = false;
var cndAns = false;

function chkPollSave()
{
    if (trim(document.getElementById('<%= tbPollTitle.ClientID %>').value, '') == "")
    {
        alertMsg = "Please enter poll title";
        return false;
    }

    if (trim(document.getElementById('<%= tbStartDate.ClientID %>').value, '') == "")
    {
        alertMsg = "Please enter poll start date";
        return false;
    }

    if (!isDate(trim(document.getElementById('<%= tbStartDate.ClientID %>').value, '')))
    {
        alertMsg = "Please enter a valid start date";
        return false;
    }

    if (trim(document.getElementById('<%= tbEndDate.ClientID %>').value, '') == "")
    {
        alertMsg = "Please enter poll end date";
        return false;
    }

    if (!isDate(trim(document.getElementById('<%= tbEndDate.ClientID %>').value, '')))
    {
        alertMsg = "Please enter a valid end date";
        return false;
    }

    var FromDate = new Date(trim(document.getElementById('<%= tbStartDate.ClientID %>').value, ''));
    var ToDate = new Date(trim(document.getElementById('<%= tbEndDate.ClientID %>').value, ''));
    if (+FromDate >= +ToDate)
    {
        alertMsg = "end date must be greater than start date!";
        return false;
    }

    if (trim(document.getElementById('<%= tbQuestion.ClientID %>').value, '') == "")
    {
        alertMsg = "Please enter poll question";
        return false;
    }
    return true;
}

function chkOtherLink()
{
    if (document.getElementById('<%= hdLink.ClientID %>').value == "1")
    {
        cndPoll = chkPollSave();
        return cndPoll;
    }
    return true;
}

function chkAll()
{
    if (!cndPoll)
    {
        alert(alertMsg);
        return false;
    }
    else
    {
        return chkAnswer();
    }
}
</script>

<asp:UpdatePanel ID="up1" runat="server" UpdateMode="Always">
<ContentTemplate>
<div id="divAddPoll" style="width:60%">
    <table cellpadding="0" cellspacing="0" border="0" width="100%" align="center">
        <tr>
            <td colspan="3">
                <asp:HiddenField ID="hdLink" runat="server"></asp:HiddenField>
            </td>
        </tr>
        <tr>
            <td class="td" style="text-align:left">
                <asp:LinkButton ID="lbQuestionLink" runat="server" Text="POLL QUESTION" OnClick="lbQuestionLink_Click" OnClientClick="chkOtherLink()"></asp:LinkButton>
            </td>
            <td class="td" style="text-align:center">
                <asp:LinkButton ID="lbSettingLink" runat="server" Text="POLL SETTING" OnClick="lbSettingLink_Click" OnClientClick="chkOtherLink()"></asp:LinkButton>
            </td>
            <td class="td" style="text-align:right">
                <asp:LinkButton ID="lbAnswerLink" runat="server" Text="POLL ANSWER" OnClick="lbAnswerLink_Click" OnClientClick="chkOtherLink()"></asp:LinkButton>
            </td>
        </tr>
        <tr>
            <td colspan="3" style="height:10px"></td>
        </tr>
    </table>
    <br />    
    <table cellpadding="0" cellspacing="0" border="0" width="100%" align="center">
        <tr>
            <td id="td1" runat="server" colspan="3">
                <table id="tblPoll" cellpadding="0" cellspacing="0" border="0" width="100%" align="center">
                <tr>
                    <td>
                        <asp:Panel ID="panelTotal1" runat="server" Height="175px">
                        <table cellpadding="0" cellspacing="0" border="0" width="100%" align="center">                    
                            <tr>
                                <td class="td">
                                    POLL TITLE:
                                </td>
                                <td class="td">
                                    <asp:TextBox ID="tbPollTitle" runat="server"></asp:TextBox>
                                </td>
                            </tr>
                            <tr>
                                <td class="td">
                                    START DATE:
                                </td>
                                <td class="td">
                                    <asp:TextBox ID="tbStartDate" runat="server"></asp:TextBox>
                                    <asp:CalendarExtender ID="CalendarExtender1" runat="server" TargetControlID="tbStartDate"></asp:CalendarExtender>
                                </td>
                            </tr>
                            <tr>
                                <td class="td">
                                    END DATE:
                                </td>
                                <td class="td">
                                    <asp:TextBox ID="tbEndDate" runat="server"></asp:TextBox>
                                    <asp:CalendarExtender ID="CalendarExtender2" runat="server" TargetControlID="tbEndDate"></asp:CalendarExtender>
                                </td>
                            </tr>
                            <tr>
                                <td class="td">
                                    QUESTION:
                                </td>
                                <td class="td">
                                    <asp:TextBox ID="tbQuestion" runat="server"></asp:TextBox>
                                </td>
                            </tr>
                            <tr style="display:none;">
                                <td class="td">
                                    INFORMATION:
                                </td>
                                <td class="td">
                                    <asp:TextBox ID="tbInformation" runat="server"></asp:TextBox>
                                </td>
                            </tr>
                        </table>
                        </asp:Panel>
                        <table cellpadding="0" cellspacing="0" border="0" width="100%" align="center">                    
                            <tr>
                                <td class="td" colspan="2" style="text-align:center">
                                    <table cellpadding="0" cellspacing="0" border="0" width="100%" align="center">
                                        <tr>
                                            <td>
                                                <asp:LinkButton ID="lbReturn1" runat="server" Text="CANCEL" OnClick="lbReturn_Click"></asp:LinkButton>            
                                            </td>
                                            <td>
                                                <asp:LinkButton ID="LinkButton1" runat="server" Text="<< BACK" Enabled="false"></asp:LinkButton>
                                            </td>
                                            <td>
                                                <asp:LinkButton ID="lbNext1" runat="server" Text="NEXT >>" OnClick="lbSettingLink_Click" OnClientClick="chkOtherLink()"></asp:LinkButton>
                                            </td>
                                            <td>
                                                <asp:LinkButton ID="LinkButton2" runat="server" Text="SAVE" Enabled="false"></asp:LinkButton>
                                            </td>
                                            <td id="tdUpdatePoll" runat="server" class="td" colspan="2" style="text-align:center">                                    
                                                <asp:LinkButton ID="lbUpdatePoll" runat="server" Text="UPDATE" OnClientClick="return chkPoll();" OnClick="lbUpdatePoll_Click"></asp:LinkButton>
                                            </td>                                    
                                        </tr>
                                    </table>
                                </td>       
                            </tr>                                     
                        </table>
                    </td>
                </tr>
                </table>
            </td>
            <td id="td2" runat="server" visible="false" colspan="3">
                <table id="tblSettings" cellpadding="0" cellspacing="0" border="0" width="100%" align="center">
                <tr>
                    <td>
                        <asp:Panel ID="panelTotal2" runat="server" Height="175px">
                        <table cellpadding="0" cellspacing="0" border="0" width="100%" align="center">                                    
                            <tr>
                                <td class="td">
                                    SELECTIONTYPE:
                                </td>
                                <td class="td">
                                    <asp:RadioButtonList ID="rblSelectionType" runat="server" RepeatDirection="Horizontal"><asp:ListItem Text="Single" Value="0" Selected="True"></asp:ListItem><asp:ListItem Text="Multiple" Value="1"></asp:ListItem></asp:RadioButtonList>
                                </td>
                            </tr>
                            <tr style="display:none;">
                                <td class="td">
                                    DISPLAY OPTION:
                                </td>
                                <td class="td">
                                    <asp:RadioButtonList ID="rblDisplayOption" runat="server" RepeatDirection="Horizontal"><asp:ListItem Text="Public" Value="0" Selected="True"></asp:ListItem><asp:ListItem Text="Private" Value="1"></asp:ListItem></asp:RadioButtonList>
                                </td>
                            </tr>
                            <tr>
                                <td class="td">
                                    GRAPH PRESENT:
                                </td>
                                <td class="td">
                                    <asp:CheckBox ID="cbIsGraph" runat="server" />
                                </td>
                            </tr>
                            <tr style="display:none;">
                                <td class="td">
                                    MAX BAR GRAPH WIDTH:
                                </td>
                                <td class="td">
                                    <asp:DropDownList ID="ddlMaxBarGraphWidth" runat="server"></asp:DropDownList>
                                </td>
                            </tr>                    
                            <tr>
                                <td class="td">
                                    POST COMMENT:
                                </td>
                                <td class="td">
                                    <asp:CheckBox ID="cbIsPostComment" runat="server" />
                                </td>
                            </tr>
                            <tr>
                                <td class="td">
                                    CAPTCHA PRESENT:
                                </td>
                                <td class="td">
                                    <asp:CheckBox ID="cbIsCaptcha" runat="server" onclick="showCaptcha(this)" />
                                </td>
                            </tr>
                            <tr id="trCaptchaType" runat="server" style="display:none;">
                                <td class="td">
                                    CAPTCHA TYPE:
                                </td>
                                <td class="td">
                                    <asp:RadioButtonList ID="rblCaptchaType" runat="server" RepeatDirection="Horizontal"><asp:ListItem Text="Math" Value="0" Selected="True"></asp:ListItem><asp:ListItem Text="Image" Value="1"></asp:ListItem></asp:RadioButtonList>
                                </td>
                            </tr>
                        </table>
                        </asp:Panel>
                        <table cellpadding="0" cellspacing="0" border="0" width="100%" align="center">                    
                            <tr>
                                <td class="td" colspan="2" style="text-align:center">
                                    <table cellpadding="0" cellspacing="0" border="0" width="100%" align="center">
                                        <tr>                        
                                            <td>
                                                <asp:LinkButton ID="lbReturn2" runat="server" Text="CANCEL" OnClick="lbReturn_Click"></asp:LinkButton>            
                                            </td>
                                            <td>                        
                                                <asp:LinkButton ID="lbBack1" runat="server" Text="<< BACK" OnClick="lbQuestionLink_Click" OnClientClick="chkOtherLink()"></asp:LinkButton>&nbsp;&nbsp;
                                            </td>
                                            <td>
                                                <asp:LinkButton ID="lbNext2" runat="server" Text="NEXT >>" OnClick="lbAnswerLink_Click" OnClientClick="chkOtherLink()"></asp:LinkButton>                                    
                                            </td>
                                            <td>
                                                <asp:LinkButton ID="LinkButton3" runat="server" Text="SAVE" Enabled="false"></asp:LinkButton>
                                            </td>
                                            <td id="tdUpdateSetting" runat="server" class="td" colspan="2" style="text-align:center">
                                                <asp:LinkButton ID="lbUpdateSetting" runat="server" Text="UPDATE" OnClientClick="return chkSetting();" OnClick="lbUpdateSetting_Click"></asp:LinkButton>
                                            </td>   
                                        </tr>
                                    </table>                                 
                                </td>       
                            </tr>                                 
                        </table>
                    </td>
                </tr>
                </table>                        
            </td>
            <td id="td3" runat="server" visible="false" colspan="3">
                <table id="tblAns" cellpadding="0" cellspacing="0" border="0" width="100%" align="center">
                <tr>
                    <td>
                        <asp:Panel ID="panelTotal3" runat="server" Height="175px">
                        <table cellpadding="0" cellspacing="0" border="0" width="100%" align="center">                                                    
                            <tr>
                                <td class="td">
                                    <asp:Label ID="Label1" runat="server" Text="ANSWER:"></asp:Label>
                                </td>
                                <td class="td">
                                    <asp:TextBox ID="tbAnswer" runat="server"></asp:TextBox>&nbsp;&nbsp;&nbsp;&nbsp;
                                    <asp:LinkButton ID="lbAdd" runat="server" Text="ADD" OnClick="lbAdd_Click" OnClientClick="return chkAddAnswer();"></asp:LinkButton>
                                </td>
                            </tr>
                            <tr>
                                <td class="td" colspan="2" align="left" style="text-align:left">
                                    <asp:Panel ID="panelAns" runat="server" Height="130px" HorizontalAlign="Left" ScrollBars="Auto" Width="83%">
                                    <asp:GridView ID="gvAnsList" runat="server" AutoGenerateColumns="false" ShowHeader="false" OnRowDeleting="gvAnsList_RowDeleting" HorizontalAlign="Left" Width="100%">
                                    <Columns>
                                        <asp:TemplateField ItemStyle-Width="95%" ItemStyle-HorizontalAlign="Left">
                                            <ItemTemplate>
                                                <asp:Label ID="lblAnswer" runat="server" Text='<%# Bind("Answer") %>'></asp:Label>
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                        <asp:TemplateField ItemStyle-Width="5%" ItemStyle-HorizontalAlign="Center">
                                            <ItemTemplate>
                                                <asp:LinkButton ID="HyperLink1" runat="server" CommandName="delete"><asp:Image ID="delImg" ImageUrl="~/images/delete.gif" runat="server" width="10" height="10" alt="" /></asp:LinkButton>
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                    </Columns>
                                    </asp:GridView>             
                                    </asp:Panel>               
                                </td>
                            </tr>
                        </table>
                        </asp:Panel>
                        <table cellpadding="0" cellspacing="0" border="0" width="100%" align="center">                    
                            <tr>
                                <td class="td" colspan="2" align="center" style="text-align:center">
                                    <table cellpadding="0" cellspacing="0" border="0" width="100%" align="center">
                                        <tr>                        
                                            <td>
                                                <asp:LinkButton ID="lbReturn3" runat="server" Text="CANCEL" OnClick="lbReturn_Click"></asp:LinkButton>            
                                            </td>
                                            <td>                        
                                                <asp:LinkButton ID="lbBack2" runat="server" Text="<< BACK" OnClick="lbSettingLink_Click" OnClientClick="chkOtherLink()"></asp:LinkButton>                        
                                            </td>
                                            <td>
                                                <asp:LinkButton ID="LinkButton4" runat="server" Text="NEXT >>" Enabled="false"></asp:LinkButton>                                                                        
                                            </td>
                                            <td>
                                                <asp:LinkButton ID="lbSave" runat="server" Text="SAVE" OnClientClick="return chkAll();" OnClick="lbSave_Click"></asp:LinkButton>
                                            </td>
                                            <td id="tdUpdateAnswer" runat="server" class="td" colspan="2" style="text-align:center">
                                                <asp:LinkButton ID="lbUpdateAnswer" runat="server" Text="UPDATE" OnClientClick="return chkAnswer();" OnClick="lbUpdateAnswer_Click"></asp:LinkButton>
                                            </td>                                    
                                        </tr>
                                    </table>
                                </td>
                            </tr>     
                        </table>
                    </td>
                </tr>               
                </table>                
            </td>
        </tr>
    </table>
    </asp:Panel>
</div>
</ContentTemplate>
</asp:UpdatePanel>