<%@ Control Language="C#" Inherits="Mindfire.Modules.MfsPollModule.ViewMfsPollModule" AutoEventWireup="true" CodeBehind="ViewMfsPollModule.ascx.cs" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>
    
<link href="DesktopModules/MfsPollModule/css/Style.css" rel="stylesheet" type="text/css" />

<style type="text/css">
.link
{
    border:0;
    font-size:70%;
    font-weight:bold;
}
.header
{
    border:0;
    font-size:80%;
    font-weight:bold;    
}
.td
{
    height:35px;
    border:0;
    font-size:80%;
    font-weight:bold;
    text-align:left;
}
</style>

<asp:UpdatePanel ID="up1" runat="server" UpdateMode="Always">
<ContentTemplate>
<table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr>
    <td class="td" align="left">
        PERMISSION TO VOTE:
    </td>  
</tr>
<tr>
    <td class="td" align="left">
        <asp:Panel ID="pnlVotePermissions" runat="server" ScrollBars="Auto" Width="100%" Height="70px">
            <asp:GridView ID="gvVotePermissions" runat="server" AutoGenerateColumns="false" Width="100%" ShowHeader="false">
                <Columns>
                    <asp:TemplateField ItemStyle-HorizontalAlign="Left" ItemStyle-Width="90%">
                        <ItemTemplate>
                            <asp:Label ID="lblVotePermissionID" runat="server" Text='<%# Bind("RoleID") %>' Visible="false"></asp:Label>                                            
                            <asp:Label ID="lblVotePermissionName" runat="server" Text='<%# Bind("RoleName") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField ItemStyle-HorizontalAlign="Center" ItemStyle-Width="10%">
                        <ItemTemplate>
                            <asp:CheckBox ID="chkIsVotePermission" runat="server"></asp:CheckBox>
                        </ItemTemplate>
                    </asp:TemplateField>                                        
                </Columns>
            </asp:GridView>
        </asp:Panel>                        
    </td>
</tr>
<tr>
    <td class="td" style="text-align:center">
        <asp:LinkButton ID="lbSavePermission" runat="server" Text="SAVE PERMISSION" OnClick="lbSavePermission_Click"></asp:LinkButton>
    </td>
</tr>
<tr>
<td valign="top">
<div id="div1" width="100%">
    <table cellpadding="0" cellspacing="0" border="0" width="100%" align="center">
        <tr>
            <td align="right" class="header">
                <asp:LinkButton ID="lbNewPoll" runat="server" Text="ADD NEW POLL" OnClick="lbNewPoll_Click"></asp:LinkButton>
            </td>
        </tr>
    </table>
</div>
<div id="divPollListLabel" width="100%">
    <table cellpadding="0" cellspacing="0" border="0" width="100%" align="center">
        <tr>
            <td align="center" class="header">
                POLL LIST
            </td>
        </tr>
    </table>
</div>
<div id="divPollList">
<asp:Panel ID="Panel1" runat="server" ScrollBars="Auto" Height="200px">
    <asp:GridView ID="gvPollList" runat="server" AutoGenerateColumns="false" width="100%" OnRowEditing="gvPollList_RowEditing" OnRowDeleting="gvPollList_RowDeleting" OnSelectedIndexChanged="gvPollList_SelectedIndexChanged">
        <Columns>
            <asp:TemplateField HeaderText="SL NO" ItemStyle-HorizontalAlign="Center" HeaderStyle-CssClass="header" ItemStyle-Width="5%">
                <ItemTemplate>
                    <%# Container.DataItemIndex+1 %>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="POLL TITLE" ItemStyle-HorizontalAlign="Left" HeaderStyle-CssClass="header" ItemStyle-Width="35%">
                <ItemTemplate>
                    <asp:Label ID="lblItemId" runat="server" Text='<%# Bind("ItemId") %>' Visible="false"></asp:Label>
                    <asp:Label ID="lblModuleId" runat="server" Text='<%# Bind("ModuleId") %>' Visible="false"></asp:Label>
                    <asp:LinkButton ID="lblPollTitle" runat="server" Text='<%# Bind("Question") %>' CommandName="select"></asp:LinkButton>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="POLL START DATE" ItemStyle-HorizontalAlign="Left" HeaderStyle-CssClass="header" ItemStyle-Width="20%">
                <ItemTemplate>
                    <asp:Label ID="lblPollStartDate" runat="server" Text='<%# Bind("StartDate") %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="POLL END DATE" ItemStyle-HorizontalAlign="Left" HeaderStyle-CssClass="header" ItemStyle-Width="20%">
                <ItemTemplate>
                    <asp:Label ID="lblPollEndDate" runat="server" Text='<%# Bind("EndDate") %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="EDIT" ItemStyle-HorizontalAlign="Center" HeaderStyle-CssClass="header" ItemStyle-Width="5%">
                <ItemTemplate>
                    <asp:LinkButton ID="lbEdit" runat="server" Text="EDIT" CommandName="edit"></asp:LinkButton>
                </ItemTemplate>
            </asp:TemplateField>                
            <asp:TemplateField HeaderText="DELETE" ItemStyle-HorizontalAlign="Center" HeaderStyle-CssClass="header" ItemStyle-Width="5%">
                <ItemTemplate>
                    <asp:LinkButton ID="lbDelete" runat="server" Text="DELETE" CommandName="delete" OnClientClick="return confirm('Do you want to delete this poll ?');"></asp:LinkButton>
                </ItemTemplate>
            </asp:TemplateField>
        </Columns>
    </asp:GridView>
</asp:Panel>
</div>
</td>
</tr>
<tr>
    <td align="right">
        <asp:LinkButton ID="lbReturn" runat="server" Text="CANCEL" OnClick="lbReturn_Click"></asp:LinkButton>
    </td>
</tr>
</table>
</ContentTemplate>
</asp:UpdatePanel>